%define vname   %{name}2
%define upname  SuperTux

Name:           supertux
Version:        0.5.1
Release:        %mkrel 1
Summary:        Classic 2D jump'n run sidescroller with Tux
Group:          Games/Arcade
License:        GPLv3
URL:            https://supertux.github.io
Source0:        https://github.com/SuperTux/supertux/releases/download/v%{version}/%{upname}-v%{version}-Source.tar.gz
# Upstreamed in 0.6+
Patch0:         0001-CMake-Accept-RelWithDebInfo-as-a-valid-release-type.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
# TODO: Unbundle squirrel, but new supertux needs squirrel >= 3.0.x
#BuildRequires:  pkgconfig(squirrel)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-data >= %{version}-%{release}

%description
SuperTux is a classic 2D jump'n run sidescroller game in
a similar style like the original SuperMario games.

%package data
Summary:        Data files for %{name}
Group:          Games/Arcade
BuildArch:      noarch

%description data
This package contains games data files for %{name}.

%prep
%autosetup -p1 -n %{upname}-v%{version}-Source

%build
%cmake \
  -DBUILD_SHARED_LIBS=OFF \
  -DENABLE_BOOST_STATIC_LIBS=OFF
%make_build

%install
%make_install -C build
rm -rf %{buildroot}%{_docdir}

%files
%doc LICENSE.txt README.md NEWS.md
%{_gamesbindir}/%{vname}
%{_datadir}/appdata/%{vname}.appdata.xml
%{_datadir}/applications/%{vname}.desktop
%{_datadir}/pixmaps/%{name}.*

%files data
%{_gamesdatadir}/%{vname}/


%changelog
* Thu Nov 10 2016 akien <akien> 0.5.1-1.mga6
+ Revision: 1066171
- Version 0.5.1

* Wed Sep 28 2016 akien <akien> 0.5.0-1.mga6
+ Revision: 1057460
- Fix usage of dev logo for RelWithDebInfo mode

  + zezinho <zezinho>
    - fix build
    - new version 0.5.0

* Mon Dec 21 2015 akien <akien> 0.4.0-1.mga6
+ Revision: 912896
- Version 0.4.0

* Fri Aug 28 2015 fwang <fwang> 0.3.5a-3.mga6
+ Revision: 870574
- rebuild for new glew

* Thu Jun 25 2015 akien <akien> 0.3.5a-2.mga6
+ Revision: 842818
- Build squirrel statically

* Wed Jun 24 2015 akien <akien> 0.3.5a-1.mga6
+ Revision: 842268
- Version 0.3.5a
- Updated URL and Source0

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-6.mga5
+ Revision: 739612
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-5.mga5
+ Revision: 689619
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.3.4-4.mga5
+ Revision: 670283
- rebuild for glew

* Sat Oct 19 2013 umeabot <umeabot> 0.3.4-3.mga4
+ Revision: 530667
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 akien <akien> 0.3.4-2.mga4
+ Revision: 459050
- Changed BRs to use pkgconfig
- One BR per line

* Wed Jul 24 2013 akien <akien> 0.3.4-1.mga4
+ Revision: 457671
- Rediffed Patch0 (use of the system squirrel)
- Removed patches integrated upstream
- New development snapshot 0.3.4
- Removed unnecessary localisation updates (included in 0.3.4)

* Thu Jul 11 2013 fwang <fwang> 0.3.3-43.mga4
+ Revision: 452697
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 0.3.3-42.mga4
+ Revision: 451216
- rebuild for new boost

* Mon Jan 14 2013 umeabot <umeabot> 0.3.3-41.mga3
+ Revision: 383780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 zezinho <zezinho> 0.3.3-40.mga3
+ Revision: 318227
- add more updated locales and remove unwanted require

* Mon Nov 12 2012 zezinho <zezinho> 0.3.3-39.mga3
+ Revision: 317165
- make data sub package require main package

* Mon Nov 12 2012 zezinho <zezinho> 0.3.3-38.mga3
+ Revision: 317159
- updated french and portuguese locale to fix empty menus

* Thu Aug 30 2012 fwang <fwang> 0.3.3-37.mga3
+ Revision: 285678
- rebuild for new glew

* Sun Jul 29 2012 fwang <fwang> 0.3.3-36.mga3
+ Revision: 275799
- update file list
- split out data files to save space for mirrors

* Sun Jul 29 2012 fwang <fwang> 0.3.3-35.mga3
+ Revision: 275794
- fix build with gcc 4.6
- more fix
- more system libs fix
- add fedora patch to build with system squirrel

* Mon Oct 03 2011 fwang <fwang> 0.3.3-35.mga2
+ Revision: 151227
- bump rel
- build static squirrel lib

* Mon Oct 03 2011 fwang <fwang> 0.3.3-34.mga2
+ Revision: 151215
- fix build with latest curl
- use bundled squiirel
- clean icons
- rebuild for new glew

* Thu Apr 07 2011 dams <dams> 0.3.3-3.mga1
+ Revision: 81674
+ rebuild (emptylog)

* Mon Apr 04 2011 dams <dams> 0.3.3-2.mga1
+ Revision: 80447
- update spec file (url, licence) and update icon to official icon

* Fri Apr 01 2011 dams <dams> 0.3.3-1.mga1
+ Revision: 79371
- Import

  + supp <supp>
    - imported package supertux

